### Constructor

# Clutter TextureNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_texture_node_new (
      CoglTexture* texture,
      const CoglColor* color,
      ClutterScalingFilter min_filter,
      ClutterScalingFilter mag_filter
    )

#### Description [src]

Creates a new `ClutterPaintNode` that will paint the passed `texture`.

This function will take a reference on `texture`, so it is safe to call `g_object_unref()` on `texture` when it returns.

The `color` must not be pre-multiplied with its `CoglColor`.alpha channel value; if `color` is `NULL`, a fully opaque white color will be used for blending.

#### Parameters

`texture`

  Type: `CoglTexture`

  A `CoglTexture`.

  The data is owned by the caller of the function.

`color`

  Type: `CoglColor`

  A `CoglColor` used for blending, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`min_filter`

  Type: `ClutterScalingFilter`

  The minification filter for the texture.

`mag_filter`

  Type: `ClutterScalingFilter`

  The magnification filter for the texture.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterPaintNode`. Use `clutter_paint_node_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.